textures/presidio/skybox
{
      qer_editorimage textures/skippy/skybox2.tga
      surfaceparm noimpact
      surfaceparm nolightmap
      surfaceparm sky
      q3map_sun .5 .37 .19 155 170 78
      q3map_surfacelight 130
      skyparms env/presidio/skybox - -
}

textures/glass/grey3
{
	qer_editorimage textures/glass/grey3.tga
	qer_trans .5
	
	surfaceparm trans
//	surfaceparm lightfilter
	cull none

	{
		map $lightmap
		tcGen lightmap 
		blendFunc add
		rgbGen const ( 0.1 0.1 0.1 )
	}
	{
		map textures/glass/grey3.tga
		tcGen environment
		blendFunc add
		tcmod scale 1 1
		rgbGen const ( 0.05 0.05 0.1 )
	}
}

textures/skippy/vine1
{
	qer_editorimage textures/skippy/vine1.tga
	q3map_backShader textures/skippy/vine1_back
	q3map_vertexScale 2
	qer_alphafunc greater 0.5
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	qer_trans 0.99
	{
		map textures/skippy/vine1.tga
		rgbGen vertex
		depthWrite
		alphaFunc GE128		
	}	
}

textures/skippy/vine2		//Taken from Sock's Pyramid of the Magician Q3A map
{
	qer_editorimage textures/skippy/vine2.tga
	q3map_backShader textures/skippy/vine2_back
	q3map_vertexScale 2
	qer_alphafunc greater 0.5
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	qer_trans 0.99
	{
		map textures/skippy/vine2.tga
		rgbGen vertex
		depthWrite
		alphaFunc GE128		
	}	
}

textures/skippy/vine2_back 	//Taken from Sock's Pyramid of the Magician Q3A map
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/skippy/vine2.tga
//		rgbGen const ( 0.2 0.2 0.2 )
		rgbGen vertex
		alphaFunc GE128		
	}	
}



textures/skippy/vine1_back 	//Taken from Sock's Pyramid of the Magician Q3A map
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/skippy/vine1.tga
//		rgbGen const ( 0.2 0.2 0.2 )
		rgbGen vertex
		alphaFunc GE128		
	}	
}

textures/skippy/skip_objects_fence
{
	qer_editorimage textures/skippy/skip_objects_fence.tga
	surfaceparm noimpact
	surfaceparm playerclip
	surfaceparm trans		
	surfaceparm nomarks
	surfaceparm nonsolid
	cull none
        nopicmip
	{
		map textures/skippy/skip_objects_fence.tga
		tcMod scale 3 3
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}
